#!/usr/bin/env python


def get_scaled_duration(duration):
    """Returns the default timings for the GUI."""

    # 0 = 0 seconds
    if duration == 0:
        duration_scaled = 0
        scale = 0

    # express as half-hours?
    elif duration % 1800 == 0:
        duration_scaled = duration / 3600
        scale = 2

    # as half-minutes?
    elif duration % 30 == 0:
        duration_scaled = duration / 60
        scale = 1

    else:
        duration_scaled = duration
        scale = 0

    return (duration_scaled, scale)



